﻿
:root {
    --blue: #5b7af7;
    --indigo: #5b7af7;
    --purple: #8c3feb;
    --pink: #fc4975;
    --red: #f23f38;
    --orange: #fd7e14;
    --yellow: #fcb32d;
    --green: #4edcb8;
    --teal: #00cccc;
    --cyan: #2dc3fc;
    --white: #fff;
    --gray: #969aab;
    --gray-dark: #191621;
    --primary: #5b7af7;
    --secondary: #969aab;
    --success: #4edcb8;
    --info: #2dc3fc;
    --warning: #fcb32d;
    --danger: #f23f38;
    --light: #f0f3fb;
    --dark: #191621;
    --breakpoint-xs: 0;
    --breakpoint-sm: 576px;
    --breakpoint-md: 768px;
    --breakpoint-lg: 992px;
    --breakpoint-xl: 1200px;
    --font-family-sans-serif: -apple-system, BlinkMacSystemFont, "Montserrat", "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
    --font-family-monospace: SFMono-Regular, Menlo, Monaco, Consolas, "Liberation Mono", "Courier New", monospace;
    /*========== Colors ==========*/
    /*Color mode HSL(hue, saturation, lightness)*/
    --white-color: hsl(0, 0%, 100%);
    --black-color: hsl(0, 0%, 0%);
    --blue-color: rgba(3,59,81,100%);
    --Red-color: rgb(216 44 44);
    /*========== Font and typography ==========*/
    /*.5rem = 8px | 1rem = 16px ...*/
    --body-font: "Poppins", sans-serif;
    --h1-font-size: 1.75rem;
    --normal-font-size: 1rem;
    --small-font-size: .813rem;
    /*========== Font weight ==========*/
    --font-medium: 500;
}


* {
    margin: 0;
    padding: 0;
}

    *,
    *::before,
    *::after {
        box-sizing: border-box;
    }

html {
    font-family: sans-serif;
    line-height: 1.15;
    -webkit-text-size-adjust: 100%;
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
    height: 100vh;
}

body {
    margin: 0;
    font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
    font-size: 0.875rem;
    font-weight: 400;
    line-height: 1.5;
    color: var(--blue-color);
    text-align: left;
    /*background: url(../images/tiempo-asistencia-blue-clock-3.jpg);*/
    background-repeat: no-repeat;
    background-size: cover;
    background-position: top;
    overflow: hidden;
    height: 100vh;
}

.video-container {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    overflow: hidden;
    z-index: -100;
}

video#video-background {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    z-index: -100;
    filter:blur(5px)
}

/*.content {
    position: relative;
    z-index: -100;
    text-align: center;
    color: white;
    padding: 20px;
}*/

h1 {
    color: #fff;
    font-size: 3rem;
    margin-top: -70px;
}

h3 {
    color: #fff;
    font-size: 1.9rem;
}

.bgBlackTransparent {
    background-color: rgba(0,0,0,0.8);
}

.imgInferiorLogin {
    position: absolute;
    height: 32%;
    bottom: 0px;
    right: 0px;
    z-index: 2;
}

.lblFail {
    opacity: .0;
    color: transparent;
}

/*** PANTALLA LOGIN ***/
.insidelogoTA-Plus {
    position: relative;
    width: 100%;
    height: 100%;
    border:2px solid #fff;
    box-sizing:border-box;
    z-index: 3;
}

.logoTA-Plus {
    position: relative;
    margin-bottom: 3rem;
    margin-left: auto;
    margin-right: auto;
    width: 320px;
    height: 203px;
    overflow: hidden;
    background-color: #b0ecff;
    z-index: 1;
}

    .logoTA-Plus::before {
        content: '';
        position: absolute;
        top: 1px;
        left: 0px;
        box-sizing:border-box;
        width: 100%;
        height:100%;
        border:2px solid #fff;

        background: linear-gradient(90deg, rgba(0,171,195,0) 0%, rgba(0,255,244,1) 39%, rgba(0,181,255,1) 100%);
        z-index: -1;
        animation-duration: 3s;
        animation-name: slidein;
        animation-iteration-count: infinite;
        animation-delay:4s;
        /*animation-direction: alternate;*/
    }

/*  .logoTA-Plus::after {
        content: '';
        position: absolute;
        top: 1px;
        left: 1px;
        box-sizing:border-box;
        width: 100%;
        height:100%;
        border:2px solid #fff;

        background: linear-gradient(90deg, rgba(0,171,195,0) 0%, rgba(0,255,244,1) 39%, rgba(0,181,255,1) 100%);
        z-index: -1;
        animation-duration: 3s;
        animation-name: slidein;
        animation-iteration-count: infinite;
        animation-delay:1s;
    }*/

@keyframes slidein {
    from {
        margin-left: -320px;
        width: 100%;
        background-color:transparent;
    }

    to {
        margin-left: 320px;
        width: 100%;
        background-color:aquamarine;
    }
    0% {
        transform: rotate(-45deg);
    }

    100% {
        transform: rotate(-180deg);
    }
}

@keyframes logoBrillo {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}


.logoEuro {
    height: 70px;
    position: absolute;
    text-align: center !important;
    z-index: 2;
    top: 5%;
}

.formulario {
    position: relative;
    width: 100%;
    margin: auto;
    z-index: 2;
}

.txtBox {
    background: transparent;
    margin-top: 8px;
    border-top: 0px;
    border-left: 0px;
    border-right: 0px;
    border-bottom: 1px solid #a9a9a9;
    margin-bottom: 30px;
    color: black;
    font-size: 1.1em;
    padding: 0.4rem;
    width: 100%;
}

    .txtBox:focus, input:focus {
        background: transparent;
        outline: none;
    }

    .txtBox:hover, .txtBox:focus, .txtBox:active {
        background: transparent;
        color: black;
    }

        .txtBox:hover:before, .txtBox:focus:before, .txtBox:active:before {
            background: transparent;
            color: black;
        }

    .txtBox::placeholder {
        outline: none;
        color: #d2d2d2;
    }

.ddlBox {
    background: transparent;
    margin-top: 10px;
    border-top: 0px;
    border-left: 0px;
    border-right: 0px;
    border-bottom: 1px solid #c9c9c9;
    margin-bottom: 25px;
    color: #fff;
    font-size: 1.2em;
    padding: 0.3rem;
    width: 100%;
}

.ddlBox {
    background: transparent;
    border-bottom: 1px solid #c9c9c9;
    margin-bottom: 30px;
    color: #343434;
    font-size: 1.2em;
    padding: 0.5rem;
    width: 100%;
}

    .ddlBox:focus, input:focus {
        border-top: 0px;
        border-left: 0px;
        border-right: 0px;
        background: transparent;
        outline: none;
        color: black;
    }

    .ddlBox:active {
        border-top: 0px;
        border-left: 0px;
        border-right: 0px;
        background: transparent;
        color: black;
    }

    .ddlBox::placeholder {
        outline: none;
        color: #d2d2d2;
    }

.version {
    z-index: 3;
    top: 26px;
    right: 15px;
    color: #FF5F00;
    font-weight: 700;
    font-size: 1.3em;
    position: absolute;
}

.loginLabel {
    color: #fff;
    font-weight: 400;
    font-size: 1.1em;
    vertical-align: middle;
    text-align: left;
}

.loginIcon {
    color: #fff;
    font-weight: 600;
    text-align: center;
    font-size: 3.5em;
    vertical-align: middle;
}

.lnkLogin {
    margin-top: 0px;
    margin-bottom: 50px;
    border-style: none;
    border-color: inherit;
    border-width: 0;
    background-color: #033b51;
    padding: 10px;
    color: #fff;
    text-align: center;
    width: 100%;
    font-size: 1.3em;
    display: inline-block;
    vertical-align: middle;
    -webkit-transform: perspective(1px) translateZ(0);
    transform: perspective(1px) translateZ(0);
    -webkit-transition-property: color;
    transition-property: color;
    -webkit-transition-duration: 0.3s;
    transition-duration: 0.3s;
    text-decoration: none;
    font-weight: 500;
}

    .lnkLogin:before {
        position: absolute;
        content: "";
        z-index: -1;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        background: rgba(151, 151, 151, 0.2);
        -webkit-transform: scaleX(0);
        transform: scaleX(0);
        -webkit-transform-origin: 0 50%;
        transform-origin: 0 50%;
        -webkit-transition-property: transform;
        transition-property: transform;
        -webkit-transition-duration: 0.3s;
        transition-duration: 0.3s;
        -webkit-transition-timing-function: ease-out;
        transition-timing-function: ease-out;
    }

    .lnkLogin:hover, .lnkLogin:focus, .lnkLogin:active {
        color: white;
        text-decoration: none;
    }

        .lnkLogin:hover:before, .lnkLogin:focus:before, .lnkLogin:active:before {
            -webkit-transform: scaleX(1);
            transform: scaleX(1);
        }

.insideCircleRestoreBack {
    position: relative;
    width: 100%;
    height: 100%;
    background-image: url("../../Content/images/undobutton2.png");
    background-position: center;
    background-repeat: no-repeat;
    background-size: 95%;
    border-radius: 50%;
    background-color: #033b51;
    z-index: 3;
}

.insideCircleRestore {
    position: relative;
    width: 100%;
    height: 100%;
    background-image: url("../../Content/images/padlock.png");
    background-position: center;
    background-repeat: no-repeat;
    background-size: 95%;
    border-radius: 50%;
    background-color: #033b51;
    z-index: 3;
}

.CheckIn {
    position: relative;
    width: 100%;
    height: 100%;
    background-image: url("../../Content/images/fingerPrint.png");
    background-position: center;
    background-repeat: no-repeat;
    background-size: 95%;
    border-radius: 50%;
    background-color: #033b51;
    z-index: 3;
}

.CheckInPIN {
    position: relative;
    width: 100%;
    height: 100%;
    background-image: url("../../Content/images/PIN.png");
    background-position: center;
    background-repeat: no-repeat;
    background-size: 95%;
    border-radius: 50%;
    background-color: #033b51;
    z-index: 3;
}

.circleRestore {
    position:relative;
    left: 30px;
    bottom: 20px;
    width: 120px;
    height: 120px;
    padding: 4px;
    border-radius: 50%;
    background-color: hsl(0, 0%, 0%);
    box-shadow: -2px 3px 5px rgba(0,0,0,0.4);
    overflow: hidden;
    z-index: 1;
    animation: pulsar 4s linear infinite;
}


.circleRestore::before {
        content: '';
        position: absolute;
        bottom: -10px;
        left: -10px;
        width: 140px;
        height: 140px;
        background: linear-gradient(0deg, transparent, transparent, #45f3ff, #45f3ff, #45f3ff);
        z-index:1;
        animation:animate 4s linear infinite;
        transform-origin:bottom right;
      
}

    .circleRestore::after {
        content: '';
        position: absolute;
        bottom: -10px;
        left: -10px;
        width: 140px;
        height: 140px;
        background: linear-gradient(0deg, transparent, transparent, #45f3ff, #45f3ff, #45f3ff);
        z-index: 1;
        animation: animate 4s linear infinite;
        transform-origin: bottom left;
       
        animation-delay:-3s;
    }


    @keyframes animate
        {
            0% {
                transform: rotate(0deg);
            }

            100% {
                transform: rotate(360deg);
            }
    
        }

    @keyframes pulsar{
        0%{
            transform:scale(1);

        }

        50% {
            transform: scale(0.9);
            background-color:aqua;
        }

        0% {
            transform: scale(1);
        }
    }

/*recovery pass*/


.txtBoxRecovery {
    background: transparent;
    margin-top: 8px;
    border-top: 0px;
    border-left: 0px;
    border-right: 0px;
    border-bottom: 1px solid #a9a9a9;
    margin-bottom: 30px;
    color: black;
    font-size: 1.1em;
    padding: 0.4rem;
    width: 100%;
}

    .txtBoxRecovery:focus, input:focus {
        background: transparent;
        outline: none;
    }

    .txtBoxRecovery:hover, .txtBox:focus, .txtBox:active {
        background: transparent;
        color: black;
    }

        .txtBoxRecovery:hover:before, .txtBox:focus:before, .txtBox:active:before {
            background: transparent;
            color: black;
        }

    .txtBoxRecovery::placeholder {
        outline: none;
        color: #d2d2d2;
    }



/**********AGREGANDO INTERACCIÓN AL LOGIN***********/
input,
button {
    font-size: var(--normal-font-size);
    font-family: var(--body-font);
}


input,
button {
    border: none;
    outline: none;
}

a {
    text-decoration: none;
}


.login {
    position: relative;
    height: 100vh;
    display: grid;
    align-items: center;
}
/*.login__img {
  position: absolute;
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;*/
}

.login__form {
    position: relative;
    background-color: rgba(255,255,255,0.92);
    border: 2px solid var(--white-color);
    margin-inline: 1.5rem;
    padding: 2.5rem 1.5rem;
    border-radius: 0rem;
    backdrop-filter: blur(7px);
}

.login__title {
    text-align: center;
    font-size: var(--h1-font-size);
    font-weight: var(--font-medium);
    margin-bottom: 2rem;
}

.login__msg {
    text-align: center;
    font-size: var(--h3-font-size);
    font-weight: var(--font-medium);
    margin-bottom: 2rem;
}

.login__content, .login__box {
    display: grid;
}

.login__content {
    row-gap: 0.75rem;
    margin-bottom: 1.5rem;
}

.login__box {
    grid-template-columns: max-content 1fr;
    align-items: center;
    column-gap: 0.75rem;
    border-bottom: 1px solid var(--blue-color);
}

.login__icon, .login__eye {
    font-size: 1.25rem;
}

.login__input {
    width: 100%;
    padding-block: 0.8rem;
    background: none;
    color: var(--blue-color);
    position: relative;
    z-index: 1;
}

.loginIsInvalid__input {
    width: 100%;
    padding-block: 0.8rem;
    background: none;
    color: var(--Red-color);
    position: relative;
    z-index: 1;
}

.login__box-input {
    position: relative;
}

.login__label {
    position: absolute;
    left: 0;
    top: 13px;
    font-weight: var(--font-medium);
    transition: top 0.3s, font-size 0.3s;
}

.login__eye {
    position: absolute;
    right: 0;
    top: 18px;
    z-index: 10;
    cursor: pointer;
}

.login__box:nth-child(2) input {
    padding-right: 1.8rem;
}

.login__check, .login__check-group {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.login__check {
    margin-bottom: .5rem;
}

.login__check-label, .login__forgot, .login__register {
    font-size: var(--small-font-size);
    margin-top: 0.5rem;
}

.login__forgot {
    font-size: var(--small-font-size);

}

.login__check-group {
    column-gap: 0.5rem;
}

.login__check-input {
    width: 16px;
    height: 16px;
}

.login__forgot {
    color: #033b51;
}

    .login__forgot:hover {
        text-decoration: underline;
        color: #033b51;
    }

.login__button {
    width: 100%;
    padding: 1rem;
    border-radius: 0.5rem;
    background-color: var(--blue-color);
    font-weight: var(--font-medium);
    cursor: pointer;
    margin-bottom: 2rem;
}

.login__register {
    text-align: center;
}

    .login__register a {
        color: var(--blue-color);
        font-weight: var(--font-medium);
    }

        .login__register a:hover {
            text-decoration: underline;
        }

/* Input focus move up label */
.login__input:focus + .login__label {
    top: -12px;
    font-size: var(--small-font-size);
}

/* Input focus sticky top label */
.login__input:not(:placeholder-shown).login__input:not(:focus) + .login__label {
    top: -12px;
    font-size: var(--small-font-size);
}

/*=============== BREAKPOINTS ===============*/
/* For medium devices */
@media screen and (min-width: 576px) {
    .login {
        justify-content: center;
    }

    .login__form {
        width: 432px;
        padding: 4rem 3rem 3.5rem;
        background-color: rgba(255,255,255,1);
        /*backdrop-filter:blur(8px);*/
    }

    .login__title {
        font-size: 2rem;
    }
}

/* Remove default checkbox */
[type="checkbox"]:not(:checked),
[type="checkbox"]:checked {
    position: absolute;
    left: -9999px;
    opacity: 0;
}

[type="checkbox"] {
    /* checkbox aspect */
}

    [type="checkbox"] + label {
        position: relative;
        padding-left: 20px;
        cursor: pointer;
        display: inline-block;
        line-height: 18px;
        font-size: .85rem;
        -webkit-user-select: none;
        /* webkit (safari, chrome) browsers */
        -moz-user-select: none;
        /* mozilla browsers */
        -khtml-user-select: none;
        /* webkit (konqueror) browsers */
        -ms-user-select: none;
        margin: 0;
        /* IE10+ */
    }

        [type="checkbox"] + label:before,
        [type="checkbox"]:not(.filled-in) + label:after {
            content: '';
            position: absolute;
            top: 0;
            left: 0;
            width: 14px;
            height: 14px;
            z-index: 0;
            border: 2px solid #033b51;
            border-radius: 1px;
            margin-top: 3px;
            -webkit-transition: .2s;
            -o-transition: .2s;
            transition: .2s;
        }

    [type="checkbox"]:not(.filled-in) + label:after {
        border: 0;
        -webkit-transform: scale(0);
        -ms-transform: scale(0);
        transform: scale(0);
    }

    [type="checkbox"]:not(:checked):disabled + label:before {
        border: none;
        background-color: rgba(0, 0, 0, 0.26);
    }

    [type="checkbox"].tabbed:focus + label:after {
        -webkit-transform: scale(1);
        -ms-transform: scale(1);
        transform: scale(1);
        border: 0;
        border-radius: 50%;
        -webkit-box-shadow: 0 0 0 10px rgba(0, 0, 0, 0.1);
        box-shadow: 0 0 0 10px rgba(0, 0, 0, 0.1);
        background-color: rgba(0, 0, 0, 0.1);
    }

    [type="checkbox"]:checked + label:before {
        top: -3px;
        left: -6px;
        width: 9px;
        height: 17px;
        border-top: 2px solid transparent;
        border-left: 2px solid transparent;
        border-right: 2px solid #033b51;
        border-bottom: 2px solid #033b51;
        -webkit-transform: rotate(40deg);
        -ms-transform: rotate(40deg);
        transform: rotate(40deg);
        -webkit-backface-visibility: hidden;
        backface-visibility: hidden;
        -webkit-transform-origin: 100% 100%;
        -ms-transform-origin: 100% 100%;
        transform-origin: 100% 100%;
    }

    [type="checkbox"]:checked:disabled + label:before {
        border-right: 2px solid rgba(0, 0, 0, 0.26);
        border-bottom: 2px solid rgba(0, 0, 0, 0.26);
    }


/* Radio Buttons
   ========================================================================== */
[type="radio"]:not(:checked),
[type="radio"]:checked {
    position: absolute;
    left: -9999px;
    opacity: 0;
}

    [type="radio"]:not(:checked) + label,
    [type="radio"]:checked + label {
        position: relative;
        padding-left: 12px;
        cursor: pointer;
        display: inline-block;
        height: 17px;
        line-height: 22px;
        font-size: 15px;
        -webkit-transition: .28s ease;
        -o-transition: .28s ease;
        transition: .28s ease;
        /* webkit (konqueror) browsers */
        -webkit-user-select: none;
        -moz-user-select: none;
        -ms-user-select: none;
        user-select: none;
    }

[type="radio"] + label:before,
[type="radio"] + label:after {
    content: '';
    position: absolute;
    left: 0;
    top: 0;
    margin: 4px 1px 1px 1px;
    width: 14px;
    height: 14px;
    z-index: 0;
    -webkit-transition: .28s ease;
    -o-transition: .28s ease;
    transition: .28s ease;
}

/* Unchecked styles */
[type="radio"]:not(:checked) + label:before,
[type="radio"]:not(:checked) + label:after,
[type="radio"]:checked + label:before,
[type="radio"]:checked + label:after,
[type="radio"].with-gap:checked + label:before,
[type="radio"].with-gap:checked + label:after {
    border-radius: 50%;
}

[type="radio"]:not(:checked) + label:before,
[type="radio"]:not(:checked) + label:after {
    border: 2px solid #033b51;
}

[type="radio"]:not(:checked) + label:after {
    z-index: -1;
    -webkit-transform: scale(0);
    -ms-transform: scale(0);
    transform: scale(0);
}

/* Checked styles */
[type="radio"]:checked + label:before {
    border: 2px solid transparent;
    -webkit-animation: ripple 0.2s linear forwards;
    animation: ripple 0.2s linear forwards;
}

[type="radio"]:checked + label:after,
[type="radio"].with-gap:checked + label:before,
[type="radio"].with-gap:checked + label:after {
    border: 2px solid #033b51;
}

[type="radio"]:checked + label:after,
[type="radio"].with-gap:checked + label:after {
    background-color: #033b51;
    z-index: 0;
}

[type="radio"]:checked + label:after {
    -webkit-transform: scale(1.02);
    -ms-transform: scale(1.02);
    transform: scale(1.02);
}

input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
input:-webkit-autofill:active {
    transition: background-color 5000s ease-in-out 0s, color 5000s ease-in-out 0s;
    transition-delay: background-color 5000s, color 5000s;
    border-top: 0px;
    border-left: 0px;
    border-right: 0px;
    border-bottom: 1px solid #c9c9c9;
    color: #fff;
    font-size: 1.2em;
    padding: 0.5rem;
    width: 100%;
}

